import { glob } from 'glob';
import { mkdirSync, rmSync } from 'node:fs';
import { outDir } from './utils';
import { buildPage } from './build-page';
import { buildBlog } from './build-blog';

mkdirSync(outDir, { recursive: true });

void (async () => {
  const pages = await glob('src/pages/**/*.tsx');
  const blogs = await glob('src/blog/**/*.md');

  await Promise.all([...pages.map(buildPage), ...blogs.map(buildBlog)]);

  rmSync('.tmp', { recursive: true });
})();
