import { cpSync, existsSync } from 'node:fs';
import { resolve } from 'path';

export const outDir = resolve('.out');

export const getStylePath = (tmpJsPath: string, pageOutputHtmlPath: string) => {
  let stylePaths: string[] = [];

  if (existsSync(tmpJsPath.replace('.js', '.css'))) {
    cpSync(
      tmpJsPath.replace('.js', '.css'),
      pageOutputHtmlPath.replace('.html', '.css'),
    );

    stylePaths.push(
      pageOutputHtmlPath.replace('.html', '.css').replace(outDir, ''),
    );
  }

  return stylePaths;
};

export const getPaths = (rawPath: string) => {
  const pagePath = resolve(rawPath);
  const tmpJsPath = pagePath.replace('src', '.tmp').replace('.tsx', '.js');
  const pageOutputHtmlPath = pagePath
    .replace('src/pages', '.out')
    .replace('.tsx', '.html');
  const blogOutputHtmlPath = pagePath
    .replace('src/templates', '.out')
    .replace('.tsx', '.html');

  return { pagePath, tmpJsPath, pageOutputHtmlPath, blogOutputHtmlPath };
};
